<?php

	$halloween_party_custom_css= "";

	/*-------------------- Global Color -------------------*/

	$halloween_party_first_color = get_theme_mod('halloween_party_first_color');

	if($halloween_party_first_color != false){
		$halloween_party_custom_css .='.top-bar, .tickets-btn a, #slider .more-btn a, .more-btn a, #slider .carousel-control-next i, #slider .carousel-control-prev i, #comments input[type="submit"],#comments a.comment-reply-link,input[type="submit"],.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,.pro-button a, .woocommerce a.added_to_cart.wc-forward, #preloader, #footer .tagcloud a:hover, #footer input[type="submit"], #footer-2, #footer .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__button, .scrollup i, .bradcrumbs a:hover, .bradcrumbs span, #sidebar .custom-social-icons a,#footer .custom-social-icons a, #sidebar h3,  #sidebar .widget_block h3, #sidebar h2, #sidebar .tagcloud a:hover, .pagination a:hover, .pagination .current, .woocommerce span.onsale, nav.woocommerce-MyAccount-navigation ul li, .toggle-nav i{';
			$halloween_party_custom_css .='background-color: '.esc_attr($halloween_party_first_color).';';
		$halloween_party_custom_css .='}';
	}

	if($halloween_party_first_color != false){
		$halloween_party_custom_css .='h1, h2, h3, h4, h5, h6, a, a:hover, p.site-title a:hover, .logo h1 a:hover, .tickets-btn a:hover, #slider .more-btn a:hover, #comments input[type="submit"]:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,.widget_product_search button:hover, .woocommerce button.button:disabled:hover, .woocommerce button.button:disabled[disabled]:hover, .woocommerce a.added_to_cart.wc-forward:hover, .main-navigation li a:hover, .main-navigation li a:focus, .main-navigation ul ul a:focus, .main-navigation ul ul a:hover, #slider .carousel-control-next i:hover, #slider .carousel-control-prev i:hover, #slider .inner_carousel h1 a, #events-section h2, .post-main-box:hover h2 a, .post-main-box:hover .post-info span a, .single-post .post-info:hover a, .middle-bar h6, .post-main-box:hover h3 a,#sidebar ul li a:hover, #footer li a:hover,.post-navigation a:hover .post-title, .post-navigation a:focus .post-title,.post-navigation a:hover,.post-navigation a:focus, .post-navigation span.meta-nav:hover, .woocommerce-message::before,.woocommerce-info::before{';
			$halloween_party_custom_css .='color: '.esc_attr($halloween_party_first_color).';';
		$halloween_party_custom_css .='}';
	}

	if($halloween_party_first_color != false){
		$halloween_party_custom_css .='.tags-bg a:hover{';
			$halloween_party_custom_css .='color: '.esc_attr($halloween_party_first_color).'!important;';
		$halloween_party_custom_css .='}';
	}

	if($halloween_party_first_color != false){
		$halloween_party_custom_css .='#footer .tagcloud a:hover{';
			$halloween_party_custom_css .='border-color: '.esc_attr($halloween_party_first_color).';';
		$halloween_party_custom_css .='}';
	}

	if($halloween_party_first_color != false){
		$halloween_party_custom_css .='.woocommerce-message,.woocommerce-info{';
			$halloween_party_custom_css .='border-top-color: '.esc_attr($halloween_party_first_color).';';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_custom_css .='@media screen and (max-width:1000px) {';
		if($halloween_party_first_color != false){
			$halloween_party_custom_css .='.main-navigation a:hover{
				color:'.esc_attr($halloween_party_first_color).' !important;
			}';
		}
	$halloween_party_custom_css .='}';

	/*---------------------------Width Layout -------------------*/

	$halloween_party_theme_lay = get_theme_mod( 'halloween_party_width_option','Full Width');
    if($halloween_party_theme_lay == 'Boxed'){
		$halloween_party_custom_css .='body{';
			$halloween_party_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$halloween_party_custom_css .='}';
		$halloween_party_custom_css .='.scrollup i{';
			$halloween_party_custom_css .='right: 100px;';
		$halloween_party_custom_css .='}';
		$halloween_party_custom_css .='.page-template-custom-home-page .home-page-header{';
			$halloween_party_custom_css .='padding: 0px 40px 0 10px;';
		$halloween_party_custom_css .='}';
	}else if($halloween_party_theme_lay == 'Wide Width'){
		$halloween_party_custom_css .='body{';
			$halloween_party_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$halloween_party_custom_css .='}';
		$halloween_party_custom_css .='.scrollup i{';
			$halloween_party_custom_css .='right: 30px;';
		$halloween_party_custom_css .='}';
	}else if($halloween_party_theme_lay == 'Full Width'){
		$halloween_party_custom_css .='body{';
			$halloween_party_custom_css .='max-width: 100%;';
		$halloween_party_custom_css .='}';
	}

	/*----------------Responsive Media -----------------------*/

	$halloween_party_resp_slider = get_theme_mod( 'halloween_party_resp_slider_hide_show',false);
	if($halloween_party_resp_slider == true && get_theme_mod( 'halloween_party_slider_hide_show', false) == false){
    	$halloween_party_custom_css .='#slider{';
			$halloween_party_custom_css .='display:none;';
		$halloween_party_custom_css .='} ';
	}
    if($halloween_party_resp_slider == true){
    	$halloween_party_custom_css .='@media screen and (max-width:575px) {';
		$halloween_party_custom_css .='#slider{';
			$halloween_party_custom_css .='display:block;';
		$halloween_party_custom_css .='} }';
	}else if($halloween_party_resp_slider == false){
		$halloween_party_custom_css .='@media screen and (max-width:575px) {';
		$halloween_party_custom_css .='#slider{';
			$halloween_party_custom_css .='display:none;';
		$halloween_party_custom_css .='} }';
		$halloween_party_custom_css .='@media screen and (max-width:575px){';
		$halloween_party_custom_css .='.page-template-custom-home-page.admin-bar .homepageheader{';
			$halloween_party_custom_css .='margin-top: 45px;';
		$halloween_party_custom_css .='} }';
		$halloween_party_custom_css .='@media screen and (max-width:575px) {';
		$halloween_party_custom_css .='#track-player-sec .audioigniter-root{';
			$halloween_party_custom_css .='margin-top: 5%;';
		$halloween_party_custom_css .='} }';
	}

	$halloween_party_resp_sidebar = get_theme_mod( 'halloween_party_sidebar_hide_show',true);
    if($halloween_party_resp_sidebar == true){
    	$halloween_party_custom_css .='@media screen and (max-width:575px) {';
		$halloween_party_custom_css .='#sidebar{';
			$halloween_party_custom_css .='display:block;';
		$halloween_party_custom_css .='} }';
	}else if($halloween_party_resp_sidebar == false){
		$halloween_party_custom_css .='@media screen and (max-width:575px) {';
		$halloween_party_custom_css .='#sidebar{';
			$halloween_party_custom_css .='display:none;';
		$halloween_party_custom_css .='} }';
	}

	$halloween_party_resp_scroll_top = get_theme_mod( 'halloween_party_resp_scroll_top_hide_show',true);
	if($halloween_party_resp_scroll_top == true && get_theme_mod( 'halloween_party_hide_show_scroll',true) == false){
    	$halloween_party_custom_css .='.scrollup i{';
			$halloween_party_custom_css .='visibility:hidden !important;';
		$halloween_party_custom_css .='} ';
	}
    if($halloween_party_resp_scroll_top == true){
    	$halloween_party_custom_css .='@media screen and (max-width:575px) {';
		$halloween_party_custom_css .='.scrollup i{';
			$halloween_party_custom_css .='visibility:visible !important;';
		$halloween_party_custom_css .='} }';
	}else if($halloween_party_resp_scroll_top == false){
		$halloween_party_custom_css .='@media screen and (max-width:575px){';
		$halloween_party_custom_css .='.scrollup i{';
			$halloween_party_custom_css .='visibility:hidden !important;';
		$halloween_party_custom_css .='} }';
	}

	$halloween_party_resp_menu_toggle_btn_bg_color = get_theme_mod('halloween_party_resp_menu_toggle_btn_bg_color');
	if($halloween_party_resp_menu_toggle_btn_bg_color != false){
		$halloween_party_custom_css .='.toggle-nav i{';
			$halloween_party_custom_css .='background: '.esc_attr($halloween_party_resp_menu_toggle_btn_bg_color).';';
		$halloween_party_custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$halloween_party_theme_lay = get_theme_mod( 'halloween_party_blog_layout_option','Default');
    if($halloween_party_theme_lay == 'Default'){
		$halloween_party_custom_css .='.post-main-box{';
			$halloween_party_custom_css .='';
		$halloween_party_custom_css .='}';
	}else if($halloween_party_theme_lay == 'Center'){
		$halloween_party_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn{';
			$halloween_party_custom_css .='text-align:center;';
		$halloween_party_custom_css .='}';
		$halloween_party_custom_css .='.post-info{';
			$halloween_party_custom_css .='margin-top:10px;';
		$halloween_party_custom_css .='}';
		$halloween_party_custom_css .='.post-info hr{';
			$halloween_party_custom_css .='margin:15px auto;';
		$halloween_party_custom_css .='}';
	}else if($halloween_party_theme_lay == 'Left'){
		$halloween_party_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn, #our-services p{';
			$halloween_party_custom_css .='text-align:Left;';
		$halloween_party_custom_css .='}';
		$halloween_party_custom_css .='.post-info hr{';
			$halloween_party_custom_css .='margin-bottom:10px;';
		$halloween_party_custom_css .='}';
		$halloween_party_custom_css .='.post-main-box h2{';
			$halloween_party_custom_css .='margin-top:10px;';
		$halloween_party_custom_css .='}';
	}

	/*---------------------------Slider Height ------------*/

	$halloween_party_slider_height = get_theme_mod('halloween_party_slider_height');
	if($halloween_party_slider_height != false){
		$halloween_party_custom_css .='#slider img{';
			$halloween_party_custom_css .='height: '.esc_attr($halloween_party_slider_height).';';
		$halloween_party_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$halloween_party_footer_widgets_heading = get_theme_mod( 'halloween_party_footer_widgets_heading','Left');
    if($halloween_party_footer_widgets_heading == 'Left'){
		$halloween_party_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
		$halloween_party_custom_css .='text-align: left;';
		$halloween_party_custom_css .='}';
	}else if($halloween_party_footer_widgets_heading == 'Center'){
		$halloween_party_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$halloween_party_custom_css .='text-align: center;';
		$halloween_party_custom_css .='}';
	}else if($halloween_party_footer_widgets_heading == 'Right'){
		$halloween_party_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$halloween_party_custom_css .='text-align: right;';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_footer_widgets_content = get_theme_mod( 'halloween_party_footer_widgets_content','Left');
    if($halloween_party_footer_widgets_content == 'Left'){
		$halloween_party_custom_css .='#footer .widget{';
		$halloween_party_custom_css .='text-align: left;';
		$halloween_party_custom_css .='}';
	}else if($halloween_party_footer_widgets_content == 'Center'){
		$halloween_party_custom_css .='#footer .widget{';
			$halloween_party_custom_css .='text-align: center;';
		$halloween_party_custom_css .='}';
	}else if($halloween_party_footer_widgets_content == 'Right'){
		$halloween_party_custom_css .='#footer .widget{';
			$halloween_party_custom_css .='text-align: right;';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_copyright_alingment = get_theme_mod('halloween_party_copyright_alingment');
	if($halloween_party_copyright_alingment != false){
		$halloween_party_custom_css .='.copyright p{';
			$halloween_party_custom_css .='text-align: '.esc_attr($halloween_party_copyright_alingment).';';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_footer_padding = get_theme_mod('halloween_party_footer_padding');
	if($halloween_party_footer_padding != false){
		$halloween_party_custom_css .='#footer{';
			$halloween_party_custom_css .='padding: '.esc_attr($halloween_party_footer_padding).' 0;';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_footer_icon = get_theme_mod('halloween_party_footer_icon');
	if($halloween_party_footer_icon == false){
		$halloween_party_custom_css .='.copyright p{';
			$halloween_party_custom_css .='width:100%; text-align:center; float:none;';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_footer_background_image = get_theme_mod('halloween_party_footer_background_image');
	if($halloween_party_footer_background_image != false){
		$halloween_party_custom_css .='#footer{';
			$halloween_party_custom_css .='background: url('.esc_attr($halloween_party_footer_background_image).');';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_footer_background_color = get_theme_mod('halloween_party_footer_background_color');
	if($halloween_party_footer_background_color != false){
		$halloween_party_custom_css .='#footer{';
			$halloween_party_custom_css .='background-color: '.esc_attr($halloween_party_footer_background_color).';';
		$halloween_party_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	$halloween_party_logo_padding = get_theme_mod('halloween_party_logo_padding');
	if($halloween_party_logo_padding != false){
		$halloween_party_custom_css .='.main-header .logo{';
			$halloween_party_custom_css .='padding: '.esc_attr($halloween_party_logo_padding).';';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_logo_margin = get_theme_mod('halloween_party_logo_margin');
	if($halloween_party_logo_margin != false){
		$halloween_party_custom_css .='.main-header .logo{';
			$halloween_party_custom_css .='margin: '.esc_attr($halloween_party_logo_margin).';';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_site_title_font_size = get_theme_mod('halloween_party_site_title_font_size');
	if($halloween_party_site_title_font_size != false){
		$halloween_party_custom_css .='.logo h1, .logo p.site-title{';
			$halloween_party_custom_css .='font-size: '.esc_attr($halloween_party_site_title_font_size).';';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_site_tagline_font_size = get_theme_mod('halloween_party_site_tagline_font_size');
	if($halloween_party_site_tagline_font_size != false){
		$halloween_party_custom_css .='.logo p.site-description{';
			$halloween_party_custom_css .='font-size: '.esc_attr($halloween_party_site_tagline_font_size).';';
		$halloween_party_custom_css .='}';
	}

	/*------------------ Menus -------------------*/

	$halloween_party_header_menus_color = get_theme_mod('halloween_party_header_menus_color');
	if($halloween_party_header_menus_color != false){
		$halloween_party_custom_css .='.main-navigation a{';
			$halloween_party_custom_css .='color: '.esc_attr($halloween_party_header_menus_color).';';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_header_menus_hover_color = get_theme_mod('halloween_party_header_menus_hover_color');
	if($halloween_party_header_menus_hover_color != false){
		$halloween_party_custom_css .='.main-navigation a:hover{';
			$halloween_party_custom_css .='color: '.esc_attr($halloween_party_header_menus_hover_color).'!important;';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_header_submenus_color = get_theme_mod('halloween_party_header_submenus_color');
	if($halloween_party_header_submenus_color != false){
		$halloween_party_custom_css .='.main-navigation ul ul a{';
			$halloween_party_custom_css .='color: '.esc_attr($halloween_party_header_submenus_color).';';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_header_submenus_hover_color = get_theme_mod('halloween_party_header_submenus_hover_color');
	if($halloween_party_header_submenus_hover_color != false){
		$halloween_party_custom_css .='.main-navigation ul.sub-menu a:hover{';
			$halloween_party_custom_css .='color: '.esc_attr($halloween_party_header_submenus_hover_color).'!important;';
		$halloween_party_custom_css .='}';
	}

	/*------------- Preloader Background Color  -------------------*/

	$halloween_party_preloader_bg_color = get_theme_mod('halloween_party_preloader_bg_color');
	if($halloween_party_preloader_bg_color != false){
		$halloween_party_custom_css .='#preloader{';
			$halloween_party_custom_css .='background-color: '.esc_attr($halloween_party_preloader_bg_color).';';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_preloader_border_color = get_theme_mod('halloween_party_preloader_border_color');
	if($halloween_party_preloader_border_color != false){
		$halloween_party_custom_css .='.loader-line{';
			$halloween_party_custom_css .='border-color: '.esc_attr($halloween_party_preloader_border_color).'!important;';
		$halloween_party_custom_css .='}';
	}

	/*---------------- Button Settings ------------------*/

	$halloween_party_button_padding_top_bottom = get_theme_mod('halloween_party_button_padding_top_bottom');
	$halloween_party_button_padding_left_right = get_theme_mod('halloween_party_button_padding_left_right');
	if($halloween_party_button_padding_top_bottom != false || $halloween_party_button_padding_left_right != false){
		$halloween_party_custom_css .='.post-main-box .more-btn a{';
			$halloween_party_custom_css .='padding-top: '.esc_attr($halloween_party_button_padding_top_bottom).'!important; 
			padding-bottom: '.esc_attr($halloween_party_button_padding_top_bottom).'!important;
			padding-left: '.esc_attr($halloween_party_button_padding_left_right).'!important;
			padding-right: '.esc_attr($halloween_party_button_padding_left_right).'!important;';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_button_border_radius = get_theme_mod('halloween_party_button_border_radius');
	if($halloween_party_button_border_radius != false){
		$halloween_party_custom_css .='.post-main-box .more-btn a{';
			$halloween_party_custom_css .='border-radius: '.esc_attr($halloween_party_button_border_radius).'px;';
		$halloween_party_custom_css .='}';
	}

	$halloween_party_button_font_size = get_theme_mod('halloween_party_button_font_size',14);
	$halloween_party_custom_css .='.post-main-box .more-btn a{';
		$halloween_party_custom_css .='font-size: '.esc_attr($halloween_party_button_font_size).';';
	$halloween_party_custom_css .='}';

	$halloween_party_theme_lay = get_theme_mod( 'halloween_party_button_text_transform','Uppercase');
	if($halloween_party_theme_lay == 'Capitalize'){
		$halloween_party_custom_css .='.post-main-box .more-btn a{';
			$halloween_party_custom_css .='text-transform:Capitalize;';
		$halloween_party_custom_css .='}';
	}
	if($halloween_party_theme_lay == 'Lowercase'){
		$halloween_party_custom_css .='.post-main-box .more-btn a{';
			$halloween_party_custom_css .='text-transform:Lowercase;';
		$halloween_party_custom_css .='}';
	}
	if($halloween_party_theme_lay == 'Uppercase'){ 
		$halloween_party_custom_css .='.post-main-box .more-btn a{';
			$halloween_party_custom_css .='text-transform:Uppercase;';
		$halloween_party_custom_css .='}';
	}
